<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_74) on Wed Mar 02 13:32:45 CET 2016 -->
<title>SalesInvoiceLinesData.Builder (QA API)</title>
<meta name="date" content="2016-03-02">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SalesInvoiceLinesData.Builder (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/TaxData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html" target="_top">Frames</a></li>
<li><a href="SalesInvoiceLinesData.Builder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice</div>
<h2 title="Class SalesInvoiceLinesData.Builder" class="title">Class SalesInvoiceLinesData.Builder</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice.SalesInvoiceLinesData.Builder</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData</a></dd>
</dl>
<hr>
<br>
<pre>public static class <span class="typeNameLabel">SalesInvoiceLinesData.Builder</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Class builder</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>plujan</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html#Builder--">Builder</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html#attributeSetValue-java.lang.String-">attributeSetValue</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the attributeSetValue value
 
 Description: An attribute associated with a product as part of an attribute set.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html#build--">build</a></span>()</code>
<div class="block">Build the data object.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html#description-java.lang.String-">description</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the description value
 
 Description: A space to write additional related information.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html#financialInvoiceLine-java.lang.Boolean-">financialInvoiceLine</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the financialInvoiceLine value
 
 Description: This flag will decide whether we are going to book the invoice line on directly
 general ledger or not.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html#goodsShipmentLine-com.openbravo.test.integration.erp.data.selectors.ShipmentReceiptLineSelectorData-">goodsShipmentLine</a></span>(<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/ShipmentReceiptLineSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">ShipmentReceiptLineSelectorData</a>&nbsp;value)</code>
<div class="block">Set the goodsShipmentLine value
 
 Description: A statement displaying one item charge or movement in a shipment.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html#invoice-java.lang.String-">invoice</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the invoice value
 
 Description: A document listing products quantities and prices payment terms etc.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html#invoicedQuantity-java.lang.String-">invoicedQuantity</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the invoicedQuantity value
 
 Description: The total number of a product included in an invoice to a business partner.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html#lineNetAmount-java.lang.String-">lineNetAmount</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the lineNetAmount value
 
 Description: The final amount of a specified line based only on quantities and prices.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html#lineNo-java.lang.String-">lineNo</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the lineNo value
 
 Description: A line stating the position of this request in the document.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html#listPrice-java.lang.String-">listPrice</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the listPrice value
 
 Description: The official price of a product in a specified currency.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html#organization-java.lang.String-">organization</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the organization value
 
 Description: Organizational entity within client</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html#product-com.openbravo.test.integration.erp.data.selectors.ProductSimpleSelectorData-">product</a></span>(<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/ProductSimpleSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">ProductSimpleSelectorData</a>&nbsp;value)</code>
<div class="block">Set the product value
 
 Description: An item produced by a process.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html#salesOrderLine-java.lang.String-">salesOrderLine</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the salesOrderLine value
 
 Description: A unique and often automatically generated identifier for a sales order line.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html#tax-java.lang.String-">tax</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the tax value
 
 Description: The percentage of money requested by the government for this specified product
 or transaction.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html#taxableAmount-java.lang.String-">taxableAmount</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the taxableAmount value
 
 Description: The total sum on which taxes are added.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html#unitPrice-java.lang.String-">unitPrice</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the unitPrice value
 
 Description: The price that will be paid for a specified item.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html#uOM-java.lang.String-">uOM</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the uOM value
 
 Description: A non monetary unit of measure.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Builder--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Builder</h4>
<pre>public&nbsp;Builder()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="taxableAmount-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>taxableAmount</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData.Builder</a>&nbsp;taxableAmount(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the taxableAmount value
 
 Description: The total sum on which taxes are added.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The taxableAmount value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="financialInvoiceLine-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>financialInvoiceLine</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData.Builder</a>&nbsp;financialInvoiceLine(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the financialInvoiceLine value
 
 Description: This flag will decide whether we are going to book the invoice line on directly
 general ledger or not.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The financialInvoiceLine value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="attributeSetValue-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>attributeSetValue</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData.Builder</a>&nbsp;attributeSetValue(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the attributeSetValue value
 
 Description: An attribute associated with a product as part of an attribute set.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The attributeSetValue value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="goodsShipmentLine-com.openbravo.test.integration.erp.data.selectors.ShipmentReceiptLineSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>goodsShipmentLine</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData.Builder</a>&nbsp;goodsShipmentLine(<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/ShipmentReceiptLineSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">ShipmentReceiptLineSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the goodsShipmentLine value
 
 Description: A statement displaying one item charge or movement in a shipment.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The goodsShipmentLine value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="invoicedQuantity-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>invoicedQuantity</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData.Builder</a>&nbsp;invoicedQuantity(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the invoicedQuantity value
 
 Description: The total number of a product included in an invoice to a business partner.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The invoicedQuantity value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="listPrice-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>listPrice</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData.Builder</a>&nbsp;listPrice(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the listPrice value
 
 Description: The official price of a product in a specified currency.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The listPrice value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="unitPrice-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unitPrice</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData.Builder</a>&nbsp;unitPrice(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the unitPrice value
 
 Description: The price that will be paid for a specified item.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The unitPrice value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="product-com.openbravo.test.integration.erp.data.selectors.ProductSimpleSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>product</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData.Builder</a>&nbsp;product(<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/ProductSimpleSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">ProductSimpleSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the product value
 
 Description: An item produced by a process.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The product value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="lineNetAmount-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lineNetAmount</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData.Builder</a>&nbsp;lineNetAmount(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the lineNetAmount value
 
 Description: The final amount of a specified line based only on quantities and prices.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The lineNetAmount value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="lineNo-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lineNo</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData.Builder</a>&nbsp;lineNo(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the lineNo value
 
 Description: A line stating the position of this request in the document.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The lineNo value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="description-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>description</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData.Builder</a>&nbsp;description(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the description value
 
 Description: A space to write additional related information.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The description value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="uOM-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>uOM</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData.Builder</a>&nbsp;uOM(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the uOM value
 
 Description: A non monetary unit of measure.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The uOM value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="tax-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tax</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData.Builder</a>&nbsp;tax(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the tax value
 
 Description: The percentage of money requested by the government for this specified product
 or transaction.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The tax value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="salesOrderLine-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>salesOrderLine</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData.Builder</a>&nbsp;salesOrderLine(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the salesOrderLine value
 
 Description: A unique and often automatically generated identifier for a sales order line.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The salesOrderLine value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="invoice-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>invoice</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData.Builder</a>&nbsp;invoice(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the invoice value
 
 Description: A document listing products quantities and prices payment terms etc.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The invoice value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="organization-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>organization</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData.Builder</a>&nbsp;organization(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the organization value
 
 Description: Organizational entity within client</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The organization value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="build--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>build</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData</a>&nbsp;build()</pre>
<div class="block">Build the data object.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The data object</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/TaxData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.Builder.html" target="_top">Frames</a></li>
<li><a href="SalesInvoiceLinesData.Builder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
